%define upstream_name    Dist-Zilla-Plugin-HelpWanted
%define upstream_version 0.3.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Insert 'Help Wanted' information in the distribution's META
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'Dist::Zilla::Plugin::HelpWanted' adds an 'x_help_wanted' field in the META
information of the distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.1-6.mga6
+ Revision: 1026219
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.3.1-5.mga6
+ Revision: 948220
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 748837
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.3.1-2.mga4
+ Revision: 537789
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.3.1-1.mga4
+ Revision: 487720
- update to 0.3.1

* Sun Aug 25 2013 sander85 <sander85> 0.3.0-1.mga4
+ Revision: 471690
- update to 0.3.0

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 366208
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.2.1-1.mga3
+ Revision: 298371
- update to 0.2.1

* Tue Jul 03 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 266942
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Plugin-HelpWanted


* Mon Jul 02 2012 cpan2dist 0.2.0-1mga
- initial mageia release, generated with cpan2dist
